unpack_dvd could warn users when overwrite of old CentOS version would happen

Description

unpack_dvd has unexpected consequences in CentOS if you do not specify the -v option (e.g. unpack_dvd SIMP-6.5.0-1.el7-CentOS-7.0-x86_64.iso --unpack-pxe ). It places the OS packages in the existing CentOS-<major version> directory in yum and the OS pxeboot files in the /var/simp/environments/..../linux-install/centos-<major version> directories. Since each of those directories is typically a link to a previous CentOS release directory, it means means unpack_dvd overwrites the files for the previous CentOS release.

Would be helpful if unpack_dvd warned the user and asked them if that is what they wanted before it happened.

Acceptance Criteria

None
Done

Epic Link

None

Story Points

2

Components

Sprint

None

Priority

Medium
Configure